curl --request PUT \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/shipments/{id}/acknowledge/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_id": 677,
"batch_number": 6,
"label_reference": "Sample label 123",
"tracking_number": "1Z9999999999999988",
"tracking": {
"picked_up_at": "2022-08-10T15:24:56Z",
"delivered_at": "2022-09-10T15:24:56Z"
},
"has_commercial_invoice": true,
"canceled_at": null,
"ship_weight": 10,
"ship_width": 1,
"ship_length": 1,
"ship_height": 1,
"shipping_provider_identifier": "shp_3a61e10243da49ab92f0e3861d5d256b",
"error_logs": {
"message": "Sample errors to fix"
},
"acknowledged_at": "2022-08-10T15:24:56Z",
"closed_at": null,
"delivered_at": "2022-09-10T15:24:56Z",
"shipped_at": "2022-09-10T15:24:56Z",
"signature": null
}
'import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/shipments/{id}/acknowledge/"
payload = {
"order_id": 677,
"batch_number": 6,
"label_reference": "Sample label 123",
"tracking_number": "1Z9999999999999988",
"tracking": {
"picked_up_at": "2022-08-10T15:24:56Z",
"delivered_at": "2022-09-10T15:24:56Z"
},
"has_commercial_invoice": True,
"canceled_at": None,
"ship_weight": 10,
"ship_width": 1,
"ship_length": 1,
"ship_height": 1,
"shipping_provider_identifier": "shp_3a61e10243da49ab92f0e3861d5d256b",
"error_logs": { "message": "Sample errors to fix" },
"acknowledged_at": "2022-08-10T15:24:56Z",
"closed_at": None,
"delivered_at": "2022-09-10T15:24:56Z",
"shipped_at": "2022-09-10T15:24:56Z",
"signature": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order_id: 677,
batch_number: 6,
label_reference: 'Sample label 123',
tracking_number: '1Z9999999999999988',
tracking: {picked_up_at: '2022-08-10T15:24:56Z', delivered_at: '2022-09-10T15:24:56Z'},
has_commercial_invoice: true,
canceled_at: null,
ship_weight: 10,
ship_width: 1,
ship_length: 1,
ship_height: 1,
shipping_provider_identifier: 'shp_3a61e10243da49ab92f0e3861d5d256b',
error_logs: {message: 'Sample errors to fix'},
acknowledged_at: '2022-08-10T15:24:56Z',
closed_at: null,
delivered_at: '2022-09-10T15:24:56Z',
shipped_at: '2022-09-10T15:24:56Z',
signature: null
})
};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/shipments/{id}/acknowledge/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order_id": 677,
"id": 767,
"batch_number": 6,
"label_reference": "Sample label 123",
"ordered_at": "2021-09-10T15:24:56Z",
"customer_order_number": "765637",
"retailer_order_number": "66367",
"purchase_order_number": "PO-576",
"shipping_method": {
"name": "White Glove Bronze",
"code": "cory_white_glove",
"id": 5,
"type": "ltl (less than truck load)",
"carrier": {
"id": 229,
"name": "Cory Companies",
"code": "CJCD"
},
"generic_shipping_method": {
"name": "LTL",
"description": "Less than truckload (LTL)",
"id": 5,
"type": "ltl"
}
},
"shipping_account": {
"nickname": "Hobie FedEx",
"id": 3,
"owner": "Sample Owner",
"carrier": {
"id": 229,
"name": "Cory Companies",
"code": "CJCD"
},
"is_first_party_bill": true
},
"tracking_number": "1Z9999999999999988",
"tracking_url": "https://wwwapps.demo.com/WebTracking/track?track=yes&trackNums=1Z9999999999999988",
"tracking": {
"picked_up_at": "2022-08-10T15:24:56Z",
"delivered_at": "2022-09-10T15:24:56Z",
"tracking_details": [
{
"Time": "10-10-2022",
"status": "Delivered",
"status_detail": "Out for delivery",
"id": 78895456,
"country": "USA",
"state": "New york",
"city": "New york",
"postal_code": "123R32"
}
]
},
"status": "Shipped",
"is_acknowledged": true,
"has_commercial_invoice": true,
"canceled_at": null,
"sold_to": {
"name1": "Demo Brand, Inc",
"street1": "1332 Hermosa Ave",
"city": "Hermosa Beach",
"province": "CA",
"postal_code": "90254",
"country": "US",
"id": 10,
"type": "residential",
"name2": null,
"street2": null,
"phone1": "3105551212",
"phone2": "3105551213",
"fax": null,
"email": null,
"federal_tax_id": null
},
"ship_to": {
"name1": "Demo Brand, Inc",
"street1": "1332 Hermosa Ave",
"city": "Hermosa Beach",
"province": "CA",
"postal_code": "90254",
"country": "US",
"id": 10,
"type": "residential",
"name2": null,
"street2": null,
"phone1": "3105551212",
"phone2": "3105551213",
"fax": null,
"email": null,
"federal_tax_id": null
},
"ship_from": {
"name1": "Demo Brand, Inc",
"street1": "1332 Hermosa Ave",
"city": "Hermosa Beach",
"province": "CA",
"postal_code": "90254",
"country": "US",
"id": 10,
"type": "residential",
"name2": null,
"street2": null,
"phone1": "3105551212",
"phone2": "3105551213",
"fax": null,
"email": null,
"federal_tax_id": null
},
"ship_weight": 10,
"ship_width": 1,
"ship_length": 1,
"ship_height": 1,
"ship_girth": "<string>",
"ship_volume": 4,
"valid_packing_slip": true,
"valid_shipping_label": true,
"shipping_provider_identifier": "shp_3a61e10243da49ab92f0e3861d5d256b",
"error_logs": {
"id": 677,
"message": "Sample errors to fix",
"count": 12,
"created_at": "2022-08-10T15:24:56Z"
},
"acknowledged_at": "2022-08-10T15:24:56Z",
"closed_at": null,
"delivered_at": "2022-09-10T15:24:56Z",
"shipped_at": "2022-09-10T15:24:56Z",
"updated_at": "2022-09-10T15:25:56Z",
"created_at": "2022-09-10T15:24:56Z",
"shipment_lines": [
{
"id": 1001,
"order_line_number": "1001",
"quantity": 1,
"part": 1,
"freight_class": 50,
"updated_at": "2022-09-10T15:24:56Z",
"variant": {
"id": 249,
"name": "Var45",
"brand": {
"code": "marla-store",
"id": 456,
"name": "Marla Store"
},
"identifier": "123-DEF12345",
"brand_identifier": "HATR",
"upc": 555555555202,
"retailer_identifiers": [
{
"id": 5642,
"retailer": {
"name": "Demo Retailer",
"code": "demo-retailer",
"id": 500,
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
"joined_at": "2021-08-03T17:24:12Z",
"is_rcn_retailer": false,
"is_onboarded": false,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": false,
"website": "https://demoabc.com",
"status": "active"
},
"identifier": "SKU976",
"name": "Retailer Sample"
}
]
}
}
],
"signature": null,
"brand": {
"code": "demo-brand",
"id": 500,
"name": "Marla Cielo",
"joined_at": "2022-09-10T15:24:56Z",
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
"website": null,
"is_onboarded": false,
"is_on_rcn": false,
"requires_subscription": "enabled",
"subscription_expires_at": "2024-09-19T13:32:10Z",
"grace_period_ends_at": "2024-10-26T13:32:10Z",
"subscription_is_expired": false,
"subscription_is_on_grace_period": false,
"subscription_is_delinquent": false,
"inventory_policy": "managed",
"status": "active"
},
"invoice_number": "RC123456"
}Acknowledge shipment receipt
After successfully processing a shipment, the shipment should be acknowledged so that it does not appear in subsequent requests to /shipments/?is_acknowledged=0.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Order ID
677
Batch number of shipment
-2147483648 <= x <= 21474836476
Label reference
30"Sample label 123"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tracking number for shipment
128"1Z9999999999999988"
Show child attributes
Show child attributes
true: Shipment has commercial invoice
Shipment does not have commercial invoice
true
Time of cancellation (UTC format)
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Shipment weight
10
Shipment width
1
Shipment length
1
Shipment height
1
Identifier of the shipping provider
64"shp_3a61e10243da49ab92f0e3861d5d256b"
Show child attributes
Show child attributes
Time of acknowledgement (UTC format)
"2022-08-10T15:24:56Z"
Time of shipment closure (UTC format)
null
Time of delivery (UTC format)
"2022-09-10T15:24:56Z"
Time of shipping (UTC format)
"2022-09-10T15:24:56Z"
Signature criteria
required, not_required, adult null
Show child attributes
Show child attributes
Response
OK
Order ID
677
Shipment ID
767
Batch number of shipment
-2147483648 <= x <= 21474836476
Label reference
30"Sample label 123"
Time of shipment creation (UTC format)
"2021-09-10T15:24:56Z"
Customer order number
1"765637"
Retailer order number
1"66367"
Purchase order number
1"PO-576"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tracking number for shipment
128"1Z9999999999999988"
URL for tracking shipment
"https://wwwapps.demo.com/WebTracking/track?track=yes&trackNums=1Z9999999999999988"
Show child attributes
Show child attributes
Status of shipment
1"Shipped"
true: Shipment is acknowledged
false: Shipment is not acknowledged
true
true: Shipment has commercial invoice
Shipment does not have commercial invoice
true
Time of cancellation (UTC format)
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Shipment weight
10
Shipment width
1
Shipment length
1
Shipment height
1
Shipment girth
Shipment volume
4
true: Shipment has valid packing slip
false: Shipment does not valid packing slip
true
true: Shipment has valid shipping label
false: Shipment does not valid valid shipping label
true
Identifier of the shipping provider
64"shp_3a61e10243da49ab92f0e3861d5d256b"
Show child attributes
Show child attributes
Time of acknowledgement (UTC format)
"2022-08-10T15:24:56Z"
Time of shipment closure (UTC format)
null
Time of delivery (UTC format)
"2022-09-10T15:24:56Z"
Time of shipping (UTC format)
"2022-09-10T15:24:56Z"
Time of shipment update (UTC format)
"2022-09-10T15:25:56Z"
Time of shipment creation (UTC format)
"2022-09-10T15:24:56Z"
Show child attributes
Show child attributes
Signature criteria
required, not_required, adult null
Show child attributes
Show child attributes
Invoice number
"RC123456"
Was this page helpful?
